import 'package:url_launcher/url_launcher.dart';
import 'package:common_module/utils/navigate_utils.dart';

class MeituanUtils {
  static MeituanUtils _instance;

  static MeituanUtils getInstance() {
    if (_instance == null) {
      _instance = new MeituanUtils();
    }
    return _instance;
  }

  void openByUrl(String url) async {
    var installed = await canLaunch("imeituan://");
    if (installed) {
      NavigateUtils.pushLaunch(urlString: url);
    } else {
      NavigateUtils.push(path: "app_h5_page", arguments: {
        "url": url,
        "title": "美团",
      });
    }
  }
}
